(function(b) {
	b.fn.extend({
		soChange: function(t) {
			t = b.extend({
				thumbObj: null,
				botPrev: null,
				botNext: null,
				thumbNowClass: "now",
				thumbOverEvent: true,
				slideTime: 1000,
				autoChange: true,
				clickFalse: true,
				overStop: true,
				changeTime: 10000,
				delayTime: 600
			},
			t || {});
			var n = b(this);
			var m;
			var a = n.size();
			var q = 0;
			var o;
			var s;
			var p;
			function r() {
				if (q != o) {
					if (t.thumbObj != null) {
						b(t.thumbObj).removeClass(t.thumbNowClass).eq(o).addClass(t.thumbNowClass)
					}
					if (t.slideTime <= 0) {
						n.eq(q).hide();
						n.eq(o).show()
					} else {
						n.eq(q).fadeOut(t.slideTime);
						n.eq(o).fadeIn(t.slideTime)
					}
					q = o;
					if (t.autoChange == true) {
						clearInterval(s);
						s = setInterval(l, t.changeTime)
					}
				}
			}
			function l() {
				o = (q + 1) % a;
				r()
			}
			n.hide().eq(0).show();
			if (t.thumbObj != null) {
				m = b(t.thumbObj);
				m.removeClass(t.thumbNowClass).eq(0).addClass(t.thumbNowClass);
				m.click(function() {
					//alert("0000000000")
					o = m.index(b(this));
					r();
					if (t.clickFalse == true) {
						return false
					}
				});
				if (t.thumbOverEvent == true) {
					m.mouseenter(function() {
						o = m.index(b(this));
						p = setTimeout(r, t.delayTime)
					});
					m.mouseleave(function() {
						clearTimeout(p)
					})
				}
			}
			if (t.botNext != null) {
				b(t.botNext).click(function() {
					if (n.queue().length < 1) {
						l()
					}
					return false
				})
			}


			if (t.botPrev != null) {
				b(t.botPrev).click(function() {
					if (n.queue().length < 1) {
						o = (q + a - 1) % a;
						r()
					}
					return false
				})
			}
			if (t.autoChange == true) {
				s = setInterval(l, t.changeTime);
				if (t.overStop == true) {
					n.mouseenter(function() {
						clearInterval(s)
					});
					n.mouseleave(function() {
						s = setInterval(l, t.changeTime)
					})
				}
			}
		}
	})
})(jQuery);
$(function() {
	if ($(".indexBanner").length) {
		var a = $(".indexBanner  div").length;
		var b = '<ul class="ul_bannerMenu">';
		for (i = 1; i <= a; i++) {
			//b += "<li>" + i + "</li>"
			b += "<li>" + "0"+ "</li>"
		}
		b += "</ul>";
		$(".indexBanner").append(b);
		$(".indexBanner  div").soChange({
			thumbObj: ".ul_bannerMenu li",
			botPrev: "#botPrev",
			botNext: "#botNext",
			changeTime: 5000
		})
	}
}); 
$(document).ready(function() {
	//控制banner的小按钮居中 begin
	//aa=$(".ul_bannerMenu").width()
	//bb=document.body.clientWidth
	//cc=(bb-aa)/2+3
	//$(".ul_bannerMenu").css("left",cc)
	//控制banner的小按钮居中end
	//cc=window.screen.width;
	//if(bb > 1024){
		//}
		//else
		//{
			//$("#botPrev").css("display","none")
			//$("#botNext").css("display","none")
			//}
	botPrevh=$("#botPrev").height();
	indexBannerh=$(".indexBanner").height()
	mm=(indexBannerh-botPrevh)/2

	$("#botPrev").css("top",mm)
	$("#botNext").css("top",mm)
	
});